ApiRecovery Console
Get console session token
Get a Guacamole token to open a web console session (VNC or SSH) for a running VM.
Authorization
bearer_auth AuthorizationBearer <token>
OAuth Authentication
OpenScaler API uses OAuth, a standard for secure authorization. To access the API, obtain a token via the OpenScaler Platform.
Use the access_token in the Authorization header for requests:
Authorization: Bearer <token>Always keep your token secure and do not share it with anyone.
In: header
Path Parameters
vm_id*string
A unique identifier for a VM instance.
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Request body to open a Guacamole web console session.
Response Body
application/json
application/json
text/pain
application/json
application/json
curl -X POST "https://example.com/v1/guacamole/token/cc3ccab2-0ae2-11ef-9136-6a0922f6458b" \ -H "Content-Type: application/json" \ -d '{ "type": "vnc" }'{ "authToken": "string", "dataSource": "mysql", "connection_id": "cc3ccab2-0ae2-11ef-9136-6a0922f6458b"}{ "errors": [ { "message": "'vcpus' field must be an integer", "field": "resource_id" } ]}"Access denied"Empty
{ "errors": [ { "message": "User not initialized (missing required fields in token), please init user by sending POST request to `/v1/init` then refresh your token\n" } ]}{ "errors": [ { "message": "VM with ID 23 not found" } ]}